Status: Closed Start date: 2009-09-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

If the file is above 25 Kb, the attachment isn't create.

I think that this bug is due to Rails who uses ActionController::UploadedStringIO for uploading files with little size and

ActionController::UploadedTempfile for bigger files (

read this article for more informations).

This bug appears on Windows XP SP2 and 2003 Server with JRuby 1.3.1 but not with Ruby 1.8.6 (MRI).

I didn't test on Linux and with Redmine 0.8 branch.

History

#1 - 2009-09-23 16:24 - Babar O'Cap

- File uploading_attachment_file_with_jruby.patch added

Here a patch, tested successfully with JRuby 1.3.1 and Ruby 1.8.6 (MRI)

#2 - 2009-09-25 15:35 - Babar O'Cap

- File uploading_attachment_file_with_jruby_v2.patch added

Last patch raised errors when no attachment was given.

#3 - 2009-10-02 22:20 - Yves Schubert

Sorry, I'm very new to Ruby.

How can I apply that patch? I can find the files, but they do not seem to match the files, given in the patch.

Thanks for your help.

Scyv

#4 - 2009-10-05 10:12 - Babar O'Cap

Here a tutorial

#5 - 2009-10-10 15:20 - Jean-Philippe Lang

It seems to be a JRuby issue.

Using ruby 1.8.7:

irb(main):001:0> require 'tempfile'

irb(main):002:0> t = Tempfile.new("temp")

irb(main):003:0> t << "foo" 

irb(main):004:0> t.size

=> 3

 Using JRuby 1.3.1 (latest stable):

irb(main):001:0> require 'tempfile'

irb(main):002:0> t = Tempfile.new("temp")

irb(main):003:0> t << "foo" 

irb(main):004:0> t.size

=> 0
http://lovehateubuntu.blogspot.com/2008/12/rails-and-processing-uploaded-zip-files.html
http://drupal.org/patch/apply


#6 - 2009-11-11 19:44 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

#7 - 2009-11-24 19:23 - Jean-Philippe Lang

Now works with JRuby 1.4.0.

#8 - 2011-10-25 13:07 - Rolland Sawyers

SPAM

Files

uploading_attachment_file_with_jruby.patch 1.86 KB 2009-09-23 Babar O'Cap

uploading_attachment_file_with_jruby_v2.patch 2.02 KB 2009-09-25 Babar O'Cap
